// deployer DockerModule header
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#if !defined(DOCKERMODULE_H)
#define DOCKERMODULE_H

#include "Module.h"

class DockerModule : public Module
{
    public:
    DockerModule();
    ~DockerModule(){} //inline
    int Prepare();
    int Deploy(string serviceUsername);
    int Remove(string serviceUsername);
    int Clean();
    private:
    int removeContainersCreatedByDockerCompose();
    int removeContainersWithServiceName (string serviceUsename);
};
#endif